> ## Documentation Index
> Fetch the complete documentation index at: https://omer-914cc1c6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger update

> Trigger an update after updating your OpenAPI document by calling this endpoint in a CI check



## OpenAPI

````yaml POST /project/update/{projectId}
openapi: 3.0.1
info:
  title: Mintlify External API
  description: An API for Mintlify documentation management and resource access.
  version: 1.0.0
servers:
  - url: https://api.mintlify.com/v1
security:
  - bearerAuth: []
paths:
  /project/update/{projectId}:
    post:
      summary: Trigger update
      description: >-
        Trigger an update after updating your OpenAPI document by calling this
        endpoint in a CI check
      parameters:
        - name: projectId
          in: path
          description: >-
            The ID of the project to trigger an update on. Can be retrieved from
            your dashboard.
          required: true
          schema:
            type: string
      responses:
        '202':
          description: A successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusId:
                    type: string
                    description: The status id of the triggered updated.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````